# Retrieve a list of realtime journey activations for the specified realtime journey.

Retrieve a list of realtime journey activations for the specified realtime journey.

Endpoint: GET /entities/realtime_journeys/{realtimeJourneyId}/activations
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `realtimeJourneyId` (integer, required)
    Realtime Journey ID

## Query parameters:

  - `page[size]` (number)
    The maximum number of results to return per page

  - `page[after]` (string)
    A string to fetch more page. The next value should be present at the pagination.nextPage in the previous response if more pages exist.

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string)

  - `data.type` (string)
    Enum: "realtime-journey-activation-step"

  - `data.attributes` (object)

  - `data.attributes.name` (string)

  - `data.attributes.description` (string,null)

  - `data.attributes.stepUuid` (string)

  - `data.attributes.connectionId` (string, required)

  - `data.attributes.connectorType` (string, required)

  - `data.attributes.connector` (object, required)

  - `data.attributes.connector.exportJson` (string,null)

  - `data.attributes.connector.exportAdvancedJson` (string,null)

  - `data.attributes.realtimeJourneyId` (string)

  - `data.attributes.realtimeJourneyStageId` (string,null)
    null until used in the RT Journey

  - `pagination` (object, required)

  - `pagination.nextPage` (string,null, required)
    The path part of URL of the next page


